# eric4.Preferences.ConfigurationPages.EditorHighlightingStylesPage

Module implementing the Editor Highlighting Styles configuration page.

### Classes

EditorHighlightingStylesPage | Class implementing the Editor Highlighting Styles configuration page.

### Functions

create | Module function to create the configuration page.

## EditorHighlightingStylesPage

Class implementing the Editor Highlighting Styles configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorHighlightingStylesPage

### Methods

EditorHighlightingStylesPage | Constructor
on_allBackgroundColoursButton_clicked | Private method used to select the background colour of all styles of a selected lexer.
on_allFontsButton_clicked | Private method used to change the font of all styles of a selected lexer.
on_backgroundButton_clicked | Private method used to select the background colour of the selected style and lexer.
on_eolfillCheckBox_toggled | Private method used to set the eolfill for the selected style and lexer.
on_fontButton_clicked | Private method used to select the font of the selected style and lexer.
on_foregroundButton_clicked | Private method used to select the foreground colour of the selected style and lexer.
on_lexerLanguageComboBox_activated | Private slot to fill the style combo of the source page.
on_styleElementList_currentRowChanged | Private method to set up the style element part of the source page.
save | Public slot to save the Editor Highlighting Styles configuration.
saveState | Public method to save the current state of the widget.
setState | Public method to set the state of the widget.

#### EditorHighlightingStylesPage (Constructor)

EditorHighlightingStylesPage(lexers)

Constructor

lexers
  reference to the lexers dictionary

#### EditorHighlightingStylesPage.on_allBackgroundColoursButton_clicked

on_allBackgroundColoursButton_clicked()

Private method used to select the background colour of all styles of a selected lexer.

#### EditorHighlightingStylesPage.on_allFontsButton_clicked

on_allFontsButton_clicked()

Private method used to change the font of all styles of a selected lexer.

#### EditorHighlightingStylesPage.on_backgroundButton_clicked

on_backgroundButton_clicked()

Private method used to select the background colour of the selected style and lexer.

#### EditorHighlightingStylesPage.on_eolfillCheckBox_toggled

on_eolfillCheckBox_toggled(b)

Private method used to set the eolfill for the selected style and lexer.

b
  Flag indicating enabled or disabled state.

#### EditorHighlightingStylesPage.on_fontButton_clicked

on_fontButton_clicked()

Private method used to select the font of the selected style and lexer.

#### EditorHighlightingStylesPage.on_foregroundButton_clicked

on_foregroundButton_clicked()

Private method used to select the foreground colour of the selected style and lexer.

#### EditorHighlightingStylesPage.on_lexerLanguageComboBox_activated

on_lexerLanguageComboBox_activated(language)

Private slot to fill the style combo of the source page.

language
  The lexer language (string or QString)

#### EditorHighlightingStylesPage.on_styleElementList_currentRowChanged

on_styleElementList_currentRowChanged(index)

Private method to set up the style element part of the source page.

index
  the style index.

#### EditorHighlightingStylesPage.save

save()

Public slot to save the Editor Highlighting Styles configuration.

#### EditorHighlightingStylesPage.saveState

saveState()

Public method to save the current state of the widget.

Returns:
  array containing the index of the selected lexer language (integer) and the index of the selected lexer entry (integer)

#### EditorHighlightingStylesPage.setState

setState(state)

Public method to set the state of the widget.

state
  state data generated by saveState

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up